Live\eventthumbnails 8 endpoints

DELETE /me/live_events/{live_event_id}/pictures/{thumbnail_id}

This method deletes a thumbnail image for the specified event.

operationId: LiveEventThumbnails_deleteForEvent

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

thumbnail_id path required number

The ID of the thumbnail.

Responses

204

The thumbnail was deleted.

403
  • Error code 3200: The authenticated user can’t delete the thumbnail for the event.
  • Error code 3422: The authenticated user can’t delete the thumbnail.
404

Error code 5000: No such event, thumbnail, or user exists.

DELETE /me/live_events/{live_event_id}/pictures/{thumbnail_id}
GET /me/live_events/{live_event_id}/pictures/{thumbnail_id}

This method returns a single thumbnail image of the specified event.

operationId: LiveEventThumbnails_getSpecificThumbnail

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

thumbnail_id path required number

The ID of the thumbnail.

Responses

200

The thumbnail was returned.

403

Error code 3200: The authenticated user can’t access the thumbnail.

404

Error code 5000: No such event, thumbnail, or user exists.

GET /me/live_events/{live_event_id}/pictures/{thumbnail_id}
PATCH /me/live_events/{live_event_id}/pictures/{thumbnail_id}

This method edits a thumbnail image for the specified event.

operationId: LiveEventThumbnails_updateEventThumbnail

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

thumbnail_id path required number

The ID of the thumbnail.

Request Body

application/vnd.vimeo.picture+json
schema LiveEventThumbnailsUpdateEventThumbnailRequest
Property Type Required
active boolean optional

Responses

200

The thumbnail was edited.

403
  • Error code 3200: The authenticated user can’t update the thumbnail for the event.
  • Error code 3422: The authenticated user can’t edit the thumbnail of the event.
404

Error code 5000: No such event, thumbnail, or user exists.

PATCH /me/live_events/{live_event_id}/pictures/{thumbnail_id}
GET /users/{user_id}/live_events/{live_event_id}/pictures

This method returns every thumbnail image of the specified event.

operationId: LiveEventThumbnails_getAllThumbs

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

Responses

200

The thumbnails were returned.

404

Error code 5000: No such event or user exists.

GET /users/{user_id}/live_events/{live_event_id}/pictures
POST /users/{user_id}/live_events/{live_event_id}/pictures

This method creates a thumbnail image for the specified event.

operationId: LiveEventThumbnails_createThumbnailForEvent

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

Request Body

application/vnd.vimeo.picture+json
schema LiveEventThumbnailsCreateThumbnailForEventRequest1
Property Type Required
active boolean optional

Responses

200

The thumbnail was created.

403
  • Error code 3200: The authenticated user can’t delete the thumbnails for the event.
  • Error code 3422: The authenticated user can’t create a thumbnail for the event.
404

Error code 5000: No such event or user exists.

POST /users/{user_id}/live_events/{live_event_id}/pictures
DELETE /users/{user_id}/live_events/{live_event_id}/pictures/{thumbnail_id}

This method deletes a thumbnail image for the specified event.

operationId: LiveEventThumbnails_deleteThumbnailForEvent

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

thumbnail_id path required number

The ID of the thumbnail.

user_id path required number

The ID of the user.

Responses

204

The thumbnail was deleted.

403
  • Error code 3200: The authenticated user can’t delete the thumbnail for the event.
  • Error code 3422: The authenticated user can’t delete the thumbnail.
404

Error code 5000: No such event, thumbnail, or user exists.

DELETE /users/{user_id}/live_events/{live_event_id}/pictures/{thumbnail_id}
GET /users/{user_id}/live_events/{live_event_id}/pictures/{thumbnail_id}

This method returns a single thumbnail image of the specified event.

operationId: LiveEventThumbnails_getSpecificThumbnail

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

thumbnail_id path required number

The ID of the thumbnail.

user_id path required number

The ID of the user.

Responses

200

The thumbnail was returned.

403

Error code 3200: The authenticated user can’t access the thumbnail.

404

Error code 5000: No such event, thumbnail, or user exists.

GET /users/{user_id}/live_events/{live_event_id}/pictures/{thumbnail_id}
PATCH /users/{user_id}/live_events/{live_event_id}/pictures/{thumbnail_id}

This method edits a thumbnail image for the specified event.

operationId: LiveEventThumbnails_editEventThumbnail

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

thumbnail_id path required number

The ID of the thumbnail.

user_id path required number

The ID of the user.

Request Body

application/vnd.vimeo.picture+json
schema LiveEventThumbnailsEditEventThumbnailRequest
Property Type Required
active boolean optional

Responses

200

The thumbnail was edited.

403
  • Error code 3200: The authenticated user can’t update the thumbnail for the event.
  • Error code 3422: The authenticated user can’t edit the thumbnail of the event.
404

Error code 5000: No such event, thumbnail, or user exists.

PATCH /users/{user_id}/live_events/{live_event_id}/pictures/{thumbnail_id}

Live\eventvideos 12 endpoints

DELETE /live_events/{live_event_id}/videos

This method removes multiple videos from the specified event.

operationId: LiveEventVideos_removeMultipleVideos

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Request Body

application/json
schema LiveEventVideosRemoveMultipleVideosRequest
Property Type Required
videos array optional
video object optional
uri string optional

Responses

204

The videos were removed.

400

Error code 2204: A parameter is invalid.

403
  • Error code 3200: The authenticated user can’t remove one or more of the listed videos.
  • Error code 3422: The authenticated user can’t remove videos from the event.
404

Error code 5000: No such event or user exists.

DELETE /live_events/{live_event_id}/videos
GET /live_events/{live_event_id}/videos

This method returns every video in the specified event.

operationId: LiveEventVideos_listLiveEventVideos

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

containing_uri query optional string

The page that contains the video URI.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • embeddable - Return embeddable events.
filter_embeddable query optional boolean

Whether to filter the results by embeddable videos (true) or non-embeddable videos (false). This parameter is required only when filter is embeddable.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • added - Sort the results by most recently added videos.
  • alphabetical - Sort the results alphabetically.
  • arranged - Sort the results in the order that the user has arranged the videos.
  • comments - Sort the results by number of comments.
  • date - Sort the results by creation date.
  • duration - Sort the results by duration.
  • likes - Sort the results by number of likes.
  • plays - Sort the results by number of plays.

Responses

200

The videos were returned.

400

Error code 2204: A password is required for password-protected events.

401

Error code 3200: The authenticated user can’t access the event.

404

Error code 5000: No such event exists.

GET /live_events/{live_event_id}/videos
POST /live_events/{live_event_id}/videos

This method adds multiple videos to the specified event.

operationId: LiveEventVideos_addMultiple

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Request Body

application/json
schema LiveEventVideosAddMultipleRequest
Property Type Required
videos array optional
video object optional
uri string optional

Responses

204

The videos were added.

400

Error code 2204: A parameter is invalid.

403
  • Error code 3200: The authenticated user can’t add videos to the event.
  • Error code 3422: The authenticated user can’t add one or more of the listed videos.
404

Error code 5000: No such event or user exists.

POST /live_events/{live_event_id}/videos
GET /live_events/{live_event_id}/videos/{video_id}

This method returns a single video in the specified event.

operationId: LiveEventVideos_specificEventVideo

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

video_id path required number

The ID of the video.

Responses

200

The video was returned.

400

Error code 2204: A password is required for password-protected events.

401

Error code 3200: The authenticated user can’t access the event.

404

Error code 5000: No such event, video, or user exists.

GET /live_events/{live_event_id}/videos/{video_id}
DELETE /me/live_events/{live_event_id}/videos

This method removes multiple videos from the specified event.

operationId: LiveEventVideos_removeMultiple

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Request Body

application/json
schema LiveEventVideosRemoveMultipleRequest
Property Type Required
videos array optional
video object optional
uri string optional

Responses

204

The videos were removed.

400

Error code 2204: A parameter is invalid.

403
  • Error code 3200: The authenticated user can’t remove one or more of the listed videos.
  • Error code 3422: The authenticated user can’t remove videos from the event.
404

Error code 5000: No such event or user exists.

DELETE /me/live_events/{live_event_id}/videos
GET /me/live_events/{live_event_id}/videos

This method returns every video in the specified event.

operationId: LiveEventVideos_getAll

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

containing_uri query optional string

The page that contains the video URI.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • embeddable - Return embeddable events.
filter_embeddable query optional boolean

Whether to filter the results by embeddable videos (true) or non-embeddable videos (false). This parameter is required only when filter is embeddable.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • added - Sort the results by most recently added videos.
  • alphabetical - Sort the results alphabetically.
  • arranged - Sort the results in the order that the user has arranged the videos.
  • comments - Sort the results by number of comments.
  • date - Sort the results by creation date.
  • duration - Sort the results by duration.
  • likes - Sort the results by number of likes.
  • plays - Sort the results by number of plays.

Responses

200

The videos were returned.

400

Error code 2204: A password is required for password-protected events.

401

Error code 3200: The authenticated user can’t access the event.

404

Error code 5000: No such event exists.

GET /me/live_events/{live_event_id}/videos
POST /me/live_events/{live_event_id}/videos

This method adds multiple videos to the specified event.

operationId: LiveEventVideos_uploadMultiple

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

Request Body

application/json
schema LiveEventVideosUploadMultipleRequest
Property Type Required
videos array optional
video object optional
uri string optional

Responses

204

The videos were added.

400

Error code 2204: A parameter is invalid.

403
  • Error code 3200: The authenticated user can’t add videos to the event.
  • Error code 3422: The authenticated user can’t add one or more of the listed videos.
404

Error code 5000: No such event or user exists.

POST /me/live_events/{live_event_id}/videos
GET /me/live_events/{live_event_id}/videos/{video_id}

This method returns a single video in the specified event.

operationId: LiveEventVideos_specificVideo

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

video_id path required number

The ID of the video.

Responses

200

The video was returned.

400

Error code 2204: A password is required for password-protected events.

401

Error code 3200: The authenticated user can’t access the event.

404

Error code 5000: No such event, video, or user exists.

GET /me/live_events/{live_event_id}/videos/{video_id}
DELETE /users/{user_id}/live_events/{live_event_id}/videos

This method removes multiple videos from the specified event.

operationId: LiveEventVideos_removeMultiple

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

Request Body

application/json
schema LiveEventVideosRemoveMultipleRequest1
Property Type Required
videos array optional
video object optional
uri string optional

Responses

204

The videos were removed.

400

Error code 2204: A parameter is invalid.

403
  • Error code 3200: The authenticated user can’t remove one or more of the listed videos.
  • Error code 3422: The authenticated user can’t remove videos from the event.
404

Error code 5000: No such event or user exists.

DELETE /users/{user_id}/live_events/{live_event_id}/videos
GET /users/{user_id}/live_events/{live_event_id}/videos

This method returns every video in the specified event.

operationId: LiveEventVideos_listAllVideosInEvent

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

containing_uri query optional string

The page that contains the video URI.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • embeddable - Return embeddable events.
filter_embeddable query optional boolean

Whether to filter the results by embeddable videos (true) or non-embeddable videos (false). This parameter is required only when filter is embeddable.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • added - Sort the results by most recently added videos.
  • alphabetical - Sort the results alphabetically.
  • arranged - Sort the results in the order that the user has arranged the videos.
  • comments - Sort the results by number of comments.
  • date - Sort the results by creation date.
  • duration - Sort the results by duration.
  • likes - Sort the results by number of likes.
  • plays - Sort the results by number of plays.

Responses

200

The videos were returned.

400

Error code 2204: A password is required for password-protected events.

401

Error code 3200: The authenticated user can’t access the event.

404

Error code 5000: No such event exists.

GET /users/{user_id}/live_events/{live_event_id}/videos
POST /users/{user_id}/live_events/{live_event_id}/videos

This method adds multiple videos to the specified event.

operationId: LiveEventVideos_addMultipleVideos

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

Request Body

application/json
schema LiveEventVideosAddMultipleVideosRequest
Property Type Required
videos array optional
video object optional
uri string optional

Responses

204

The videos were added.

400

Error code 2204: A parameter is invalid.

403
  • Error code 3200: The authenticated user can’t add videos to the event.
  • Error code 3422: The authenticated user can’t add one or more of the listed videos.
404

Error code 5000: No such event or user exists.

POST /users/{user_id}/live_events/{live_event_id}/videos
GET /users/{user_id}/live_events/{live_event_id}/videos/{video_id}

This method returns a single video in the specified event.

operationId: LiveEventVideos_getSpecificVideo

Parameters

Name In Required Type Description
live_event_id path required number

The ID of the event.

user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Responses

200

The video was returned.

400

Error code 2204: A password is required for password-protected events.

401

Error code 3200: The authenticated user can’t access the event.

404

Error code 5000: No such event, video, or user exists.

GET /users/{user_id}/live_events/{live_event_id}/videos/{video_id}

Ondemand\backgrounds 5 endpoints

GET /ondemand/pages/{ondemand_id}/backgrounds

This method returns every background image on the specified On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandBackgrounds_getAllBackgroundsOnPage

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The background images were returned.

404

No such On Demand page exists.

GET /ondemand/pages/{ondemand_id}/backgrounds
POST /ondemand/pages/{ondemand_id}/backgrounds

This method adds a background image to the specified On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandBackgrounds_addBackgroundToPage

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

Responses

200

The background image was added.

403

The authenticated user can’t add a background image to this On Demand page.

404

No such On Demand page exists.

POST /ondemand/pages/{ondemand_id}/backgrounds
DELETE /ondemand/pages/{ondemand_id}/backgrounds/{background_id}

This method deletes the specified background image on an On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandBackgrounds_deleteBackgroundFromPage

Parameters

Name In Required Type Description
background_id path required number

The ID of the background image.

ondemand_id path required number

The ID of the On Demand page.

Responses

204

The background image was deleted.

403

The authenticated user can’t delete this background image.

404

No such On Demand page or background image exists.

DELETE /ondemand/pages/{ondemand_id}/backgrounds/{background_id}
GET /ondemand/pages/{ondemand_id}/backgrounds/{background_id}

This method returns a single background image on the specified On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandBackgrounds_getSpecificBackground

Parameters

Name In Required Type Description
background_id path required number

The ID of the background image.

ondemand_id path required number

The ID of the On Demand page.

Responses

200

The background image was returned.

403

The authenticated user can’t get this background image.

404

No such On Demand page or background image exists.

GET /ondemand/pages/{ondemand_id}/backgrounds/{background_id}
PATCH /ondemand/pages/{ondemand_id}/backgrounds/{background_id}

This method edits the specified background image on an On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandBackgrounds_editBackgroundOnPage

Parameters

Name In Required Type Description
background_id path required number

The ID of the background image.

ondemand_id path required number

The ID of the On Demand page.

Request Body

application/vnd.vimeo.picture+json
schema OnDemandBackgroundsEditBackgroundOnPageRequest
Property Type Required
active boolean optional

Responses

200

The background image was edited.

403

The authenticated user can’t edit this background image.

404

No such On Demand page or background image exists.

PATCH /ondemand/pages/{ondemand_id}/backgrounds/{background_id}

Ondemand\essentials 7 endpoints

GET /me/ondemand/pages

This method returns every On Demand page belonging to the authenticated user.

operationId: OnDemandEssentials_getAllUserPages

Parameters

Name In Required Type Description
direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The type of the page to return.

Option descriptions:

  • film - The page type is a film.
  • series - The page type is a series.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

sort query optional string

The way to sort the results.

Option descriptions:

  • added - Sort the results by most recently added page.
  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by date.
  • modified_time - Sort the results by time of page modification.
  • name - Sort the results by page name.
  • publish.time - Sort the results by time of page publishing.
  • rating - Sort the results by content rating.

Responses

200

The On Demand pages were returned.

404

No such user exists.

GET /me/ondemand/pages
POST /me/ondemand/pages

This method creates a new On Demand page for the specified user. To publish the page, use the edit method.

operationId: OnDemandEssentials_createPage

Request Body

required
application/json
schema OnDemandEssentialsCreatePageRequest
Property Type Required
buy object optional
price object optional
AUD number optional
CAD number optional
CHF number optional
DKK number optional
EUR number optional
GBP number optional
JPY number optional
KRW number optional
NOK number optional
PLN number optional
SEK number optional
USD number optional
active boolean optional
download boolean optional
link string optional
name string required
rent object optional
price object optional
AUD number optional
CAD number optional
CHF number optional
DKK number optional
EUR number optional
GBP number optional
JPY number optional
KRW number optional
NOK number optional
PLN number optional
SEK number optional
USD number optional
active boolean optional
period string optional
type string required
episodes object optional
buy object optional
price object optional
USD number optional
active boolean optional
download boolean optional
rent object optional
price object optional
USD number optional
active boolean optional
period string optional
description string required
domain_link string optional
subscription object optional
monthly object optional
price object optional
USD number optional
active boolean optional
content_rating string required
accepted_currencies string optional

Responses

201

The On Demand page was created.

POST /me/ondemand/pages
DELETE /ondemand/pages/{ondemand_id}

This method deletes the specified On Demand page.

operationId: OnDemandEssentials_deleteOnDemandPage

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

Responses

204

The On Demand page was deleted.

403

The authenticated user can’t delete this On Demand page.

404

No such On Demand page exists.

DELETE /ondemand/pages/{ondemand_id}
GET /ondemand/pages/{ondemand_id}

This method returns the specified On Demand page.

operationId: get_vod

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

Responses

200

The On Demand page was returned.

404

No such On Demand page exists.

GET /ondemand/pages/{ondemand_id}
PATCH /ondemand/pages/{ondemand_id}

This method edits the specified On Demand page. Use this method to enable preorders on the page or to publish the page.

operationId: edit_vod

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

Request Body

application/vnd.vimeo.ondemand.page+json
schema EditVodRequest
Property Type Required
link string optional
publish object optional
active boolean optional
preorder object optional
active boolean optional
publish_time string optional
publish_when_ready boolean optional

Responses

200

The On Demand page was edited.

403

The authenticated user can’t edit the On Demand page.

404

No such On Demand page exists.

PATCH /ondemand/pages/{ondemand_id}
GET /users/{user_id}/ondemand/pages

This method returns every On Demand page belonging to the authenticated user.

operationId: OnDemandEssentials_getAllUserPages

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The type of the page to return.

Option descriptions:

  • film - The page type is a film.
  • series - The page type is a series.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

sort query optional string

The way to sort the results.

Option descriptions:

  • added - Sort the results by most recently added page.
  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by date.
  • modified_time - Sort the results by time of page modification.
  • name - Sort the results by page name.
  • publish.time - Sort the results by time of page publishing.
  • rating - Sort the results by content rating.

Responses

200

The On Demand pages were returned.

404

No such user exists.

GET /users/{user_id}/ondemand/pages
POST /users/{user_id}/ondemand/pages

This method creates a new On Demand page for the specified user. To publish the page, use the edit method.

operationId: create_vod

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

Request Body

required
application/json
schema CreateVodRequest
Property Type Required
buy object optional
price object optional
AUD number optional
CAD number optional
CHF number optional
DKK number optional
EUR number optional
GBP number optional
JPY number optional
KRW number optional
NOK number optional
PLN number optional
SEK number optional
USD number optional
active boolean optional
download boolean optional
link string optional
name string required
rent object optional
price object optional
AUD number optional
CAD number optional
CHF number optional
DKK number optional
EUR number optional
GBP number optional
JPY number optional
KRW number optional
NOK number optional
PLN number optional
SEK number optional
USD number optional
active boolean optional
period string optional
type string required
episodes object optional
buy object optional
price object optional
USD number optional
active boolean optional
download boolean optional
rent object optional
price object optional
USD number optional
active boolean optional
period string optional
description string required
domain_link string optional
subscription object optional
monthly object optional
price object optional
USD number optional
active boolean optional
content_rating string required
accepted_currencies string optional

Responses

201

The On Demand page was created.

POST /users/{user_id}/ondemand/pages

Ondemand\genres 8 endpoints

GET /ondemand/genres

This method returns every existing On Demand genre.

operationId: OnDemandGenres_getAllGenres

Responses

200

The genres were returned.

GET /ondemand/genres
GET /ondemand/genres/{genre_id}

This method returns a single On Demand genre.

operationId: OnDemandGenres_specificGenreGet

Parameters

Name In Required Type Description
genre_id path required string

The ID of the genre.

Responses

200

The genre was returned.

404

No such genre exists.

GET /ondemand/genres/{genre_id}
GET /ondemand/genres/{genre_id}/pages

This method returns every On Demand page that belongs to the specified genre.

operationId: OnDemandGenres_getAllPagesInGenre

Parameters

Name In Required Type Description
genre_id path required string

The ID of the genre.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • country - Sort the results by country.
  • my_region - Sort the results by user’s region.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by date.
  • name - Sort the results by name.
  • publish.time - Sort the results by time of publishing.
  • videos - Sort the results by video.

Responses

200

The On Demand pages in the genre were returned.

GET /ondemand/genres/{genre_id}/pages
GET /ondemand/genres/{genre_id}/pages/{ondemand_id}

This method returns a single On Demand page that belongs to the specified genre.

operationId: OnDemandGenres_getSpecificPageInGenre

Parameters

Name In Required Type Description
genre_id path required string

The ID of the genre.

ondemand_id path required number

The ID of the On Demand page.

Responses

200

The On Demand page in the genre was returned.

404

No such On Demand page or genre exists.

GET /ondemand/genres/{genre_id}/pages/{ondemand_id}
GET /ondemand/pages/{ondemand_id}/genres

This method returns every genre associated with the specified On Demand page.

operationId: OnDemandGenres_getGenres

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

Responses

200

The genres were returned.

404

No such On Demand page exists.

GET /ondemand/pages/{ondemand_id}/genres
DELETE /ondemand/pages/{ondemand_id}/genres/{genre_id}

This method removes a genre association from the specified On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandGenres_removeGenreFromPage

Parameters

Name In Required Type Description
genre_id path required string

The ID of the genre.

ondemand_id path required number

The ID of the On Demand page.

Responses

204

The genre was removed.

400

The On Demand page must belong to at least one genre.

403

The authenticated user can’t remove a genre from this On Demand page.

404

No such On Demand page or genre exists.

DELETE /ondemand/pages/{ondemand_id}/genres/{genre_id}
GET /ondemand/pages/{ondemand_id}/genres/{genre_id}

This method determines whether an On Demand page is associated with the specified genre.

operationId: OnDemandGenres_checkGenreAssociation

Parameters

Name In Required Type Description
genre_id path required string

The ID of the genre.

ondemand_id path required number

The ID of the On Demand page.

Responses

200

The On Demand page is in this genre.

404

No such On Demand page or genre exists.

GET /ondemand/pages/{ondemand_id}/genres/{genre_id}
PUT /ondemand/pages/{ondemand_id}/genres/{genre_id}

This method adds the specified genre designation to an On Demand page. A page can be associated with a maximum of two genres. The authenticated user must be the owner of the page.

operationId: OnDemandGenres_addGenreToPage

Parameters

Name In Required Type Description
genre_id path required string

The ID of the genre.

ondemand_id path required number

The ID of the On Demand page.

Responses

201

The genre was added.

400

The On Demand page already has two genres.

403

The authenticated user can’t add a genre to this On Demand page.

404

No such On Demand page or genre exists.

PUT /ondemand/pages/{ondemand_id}/genres/{genre_id}

Ondemand\posters 4 endpoints

GET /ondemand/pages/{ondemand_id}/pictures

This method returns every poster on the specified On Demand page.

operationId: OnDemandPosters_getOnDemandPagePosters

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The posters were returned.

404

No such On Demand page exists.

GET /ondemand/pages/{ondemand_id}/pictures
POST /ondemand/pages/{ondemand_id}/pictures

This method adds a poster image to the specified On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandPosters_addPosterToPage

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

Responses

201

The poster was added.

403

The authenticated user can’t add posters to this On Demand page.

POST /ondemand/pages/{ondemand_id}/pictures
GET /ondemand/pages/{ondemand_id}/pictures/{poster_id}

This method returns a single poster on the specified On Demand page.

operationId: OnDemandPosters_getSpecificPoster

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

poster_id path required number

The ID of the poster.

Responses

200

The poster was returned.

GET /ondemand/pages/{ondemand_id}/pictures/{poster_id}
PATCH /ondemand/pages/{ondemand_id}/pictures/{poster_id}

This method edits a poster image on the specified On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandPosters_updatePoster

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

poster_id path required number

The ID of the poster.

Request Body

application/vnd.vimeo.picture+json
schema OnDemandPostersUpdatePosterRequest
Property Type Required
active boolean optional

Responses

200

The poster was edited.

PATCH /ondemand/pages/{ondemand_id}/pictures/{poster_id}

Ondemand\promotions 5 endpoints

GET /ondemand/pages/{ondemand_id}/promotions

This method returns every promotion on the specified On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandPromotions_getAllPagePromotions

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

filter query required string

The type of filter to apply to the results.

Option descriptions:

  • batch - Filter the results by the batch promotion.
  • default - Filter the results by the default promotion.
  • single - Filter the results by the single promotion.
  • vip - Filter the results by the vip promotion.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The promotions were returned.

400

The filter is invalid.

403

The authenticated user can’t get promotions on this On Demand page.

404

No such On Demand page exists.

GET /ondemand/pages/{ondemand_id}/promotions
POST /ondemand/pages/{ondemand_id}/promotions

This method adds a promotion to the specified On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandPromotions_addPromotionToPage

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

Request Body

required
application/vnd.vimeo.ondemand.promotion+json
schema OnDemandPromotionsAddPromotionToPageRequest
Property Type Required
code string optional
type string required
label string optional
total number required
download boolean required
end_time string optional
start_time string optional
access_type string optional
percent_off number optional
product_type string optional
discount_type string optional
stream_period string required

Responses

200

The promotion was added.

400

There are errors in the request, or the promotion code already exists.

403

The authenticated user can’t add promotions to this On Demand page.

404

No such On Demand page exists.

POST /ondemand/pages/{ondemand_id}/promotions
DELETE /ondemand/pages/{ondemand_id}/promotions/{promotion_id}

This method deletes a promotion on the specified On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandPromotions_deletePromotionOnPage

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

promotion_id path required number

The ID of the promotion.

Responses

204

The promotion was deleted.

403

The authenticated user can’t delete promotions on this On Demand page.

404

No such On Demand page or promotion exists.

DELETE /ondemand/pages/{ondemand_id}/promotions/{promotion_id}
GET /ondemand/pages/{ondemand_id}/promotions/{promotion_id}

This method returns a single promotion on the specified On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandPromotions_specificPromotionGet

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

promotion_id path required number

The ID of the promotion.

Responses

200

The promotion was returned.

403

The authenticated user can’t get promotions on this On Demand page.

404

No such On Demand page or promotion exists.

GET /ondemand/pages/{ondemand_id}/promotions/{promotion_id}
GET /ondemand/pages/{ondemand_id}/promotions/{promotion_id}/codes

This method returns every code of the specified promotion on an On Demand page. The authenticated user must be the owner of the page.

operationId: OnDemandPromotions_getAllPromotionCodes

Parameters

Name In Required Type Description
ondemand_id path required number

The ID of the On Demand page.

promotion_id path required number

The ID of the promotion.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The codes were returned.

403

The authenticated user can’t get promotions on this On Demand page.

404

No such On Demand page or promotion exists.

GET /ondemand/pages/{ondemand_id}/promotions/{promotion_id}/codes

Ondemand\purchasesandrentals 1 endpoints

GET /me/ondemand/purchases

This method returns every purchase and rental that the authenticated user has made across all On Demand pages.

operationId: OnDemandPurchasesAndRentals_getAllUserPurchasesAndRentals

Parameters

Name In Required Type Description
direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The type of the On Demand video to filter on.

Option descriptions:

  • all - Filter by all video types.
  • expiring_soon - Filter by videos that expire soon.
  • film - Filter by film.
  • important - Filter by pages that are about to expire.
  • purchased - Filter by purchased videos.
  • rented - Filter by rented videos.
  • series - Filter by series.
  • subscription - Filter by video subscription.
  • unwatched - Filter by unwatched videos.
  • watched - Filter by watched videos.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

sort query optional string

The way to sort the results.

Option descriptions:

  • added - Sort the results by most recently added video.
  • alphabetical - Sort the results alphabetically.
  • date - Sort the results by date.
  • name - Sort the results by video name.
  • purchase_time - Sort the results by time of video purchase.
  • rating - Sort the results by content rating.
  • release_date - Sort the results by video release date.

Responses

200

The purchases and rentals were returned.

403

The authenticated user can’t get purchases and rentals for another user’s account.

GET /me/ondemand/purchases
Load more endpoints